/******************************************************************************/
//    File Name     : Spiral.java
//                            Java Applet source file
//    Name          : Yoshiyuki Tanaka
//                    (e-Mail : tanaka_y@jaist.ac.jp)
//    Class Name    :     1.Spairal()
/******************************************************************************/

/******************************************************************************/
//    Class Name    : Spiral
/******************************************************************************/
class Spiral extends Model2Initializer{

    /***** VALUE DATA *****/
    public static Model2Param param = new Model2Param();

    /***** CONSTRUCTOR *****/
    Spiral(Model2s _cells){ super(_cells) ;}

    /***** METHOD DATA *****/
    /**************************************************************************/
    //    Method Name   : initializ()
    /**************************************************************************/
    public Model2s initializ()
    {
        int R      = param.getR();
        int d      = param.getd();
        int r      = (int)(R/d);
        int max    = param.getn() + 1;
        int min    = 0;

        int h = (int)(cells.cell.length / 2);

        for(int i = 0; i < h; i++){
            for(int j = min; (j <= max)&&(j < h); j ++)
                cells.cell[i][h + j].setCell(max - j);
        }
        return cells;
    }

}


/**** END_of_file: Spairal.java **************************************************/
